package org.teiid.jdg.pojo;
/**
* Maps a relational database table Customer to a java object, Customer
*
* 
*
* @author	ReverseEngineer
*/
import java.io.Serializable;
import java.sql.*;
import java.util.*;
import org.infinispan.protostream.annotations.ProtoDoc;
import org.infinispan.protostream.annotations.ProtoField;

public class Customer implements Serializable {

	
	public java.lang.String m_Name;

	
	public java.lang.Integer m_Id;

	
	public java.lang.String m_Email;

	
	public java.lang.Boolean m_Male;


	@ProtoField(number = 2, required = true)
	public java.lang.String getName( ) { 
		return this.m_Name;
	}

	public void setName( java.lang.String name) { 
		 this.m_Name = name; 
	}

	@ProtoField(number = 1, required = true)
	public java.lang.Integer getId( ) { 
		return this.m_Id;
	}

	public void setId( java.lang.Integer id) { 
		 this.m_Id = id; 
	}

	@ProtoField(number = 3, required = true)
	public java.lang.String getEmail( ) { 
		return this.m_Email;
	}

	public void setEmail( java.lang.String email) { 
		 this.m_Email = email; 
	}

	@ProtoField(number = 4, required = true)
	public java.lang.Boolean getMale( ) { 
		return this.m_Male;
	}

	public void setMale( java.lang.Boolean male) { 
		 this.m_Male = male; 
	}
	public String toString()  {
		StringBuffer output = new StringBuffer();
		output.append("name:");
		output.append(getName());
		output.append("\n");
		output.append("id:");
		output.append(getId());
		output.append("\n");
		output.append("email:");
		output.append(getEmail());
		output.append("\n");
		output.append("male:");
		output.append(getMale());
		output.append("\n");

		return output.toString();
	}

} // class Customer
